
#ifndef DDM_H
#define DDM_H

struct movement {
    char DestXAng,DestYAng,DestZAng;
    char DeltXAng,DeltYAng,DeltZAng;
    int Waiter;
    int MotionX,MotionY,MotionZ;
    struct movement *Moves;
};

struct Bigmove {
    int ObjectID;
    struct movement *Move;
    struct Bigmove *Next;
};
 
struct Reaction {
    struct Bigmove *SoftHit, *HardHit;
    int pain;
};


struct ddmheader {
	char Identity[4];
	int NumMoves;
	int Reserved[4];
};

struct FileMove {
	char DestX;
	char DestY;
	char DestZ;
	char DeltX;
	char DeltY;
	char DeltZ;
	char Pad[2];
	int Waiter;
	int MotX;
	int MotY;
	int MotZ;
	int Reserved[4];
	int NotLast;
};

struct FileBigMove {
	int ObjectId;
	int Reserved[4];
	int NotLast;
};


#endif

