#ifndef GRAPH_H
#define GRAPH_H

#include <X11/Xlib.h>
#include "poly.h"
#include "pcx.h"

void HLine(char *,int,int,int,int);
void VLine(char *,int,int,int,int);
void DrawVerticalLine(uchar *,int,int,int,char);
void DrawVerticalTexturedLine(uchar *,int,int,int,struct Picture_Type *,int,int);
void ScaleBitmap(XImage *,struct Picture_Type *,int,int,int,int);
void DoFight(XImage *,struct Picture_Type *,int,int,int,int);
void DrawBang(XImage *,struct bang *,struct Picture_Type **);
void DrawBangs(XImage *,struct bang *,struct bang *, struct Picture_Type **);
void SetPaletteFromFile(Display *,Colormap ,int ,char *);
void GetPaletteFromFile(char *,char *);
void FadeToBlack(Display *,Colormap ,char [],int,int);
void RemapPicture(struct Picture_Type *,int,int Num);
void RemapTextures(struct Picture_Type **,int,int Num);
void SetColour(Display *,Colormap,int,int);
void SetPalette3(Display *,Colormap,uchar *,int,int);
void LoadImageCentre(XImage *,int,char *,int,int);
void PutVPix(XImage *v,int,int,uchar);
void SetVScreen(XImage *,uchar);
void ClearScreen(XImage *);
void ClearScreenSWEET(XImage *,int,int,int,int);
void linedraw(int,int,int,int,int,uchar *);
void CopyAreaTrans(uchar *,int,int,int,uchar *,int,int,int,int,int,int);
void CopyArea(uchar *,int,int,int,uchar *,int,int,int,int,int);


#endif
