#ifndef KEYS_H
#define KEYS_H

#define KEY_NONE        -1
 
#define KEY_NOT			8
#define KEY_1           9
#define KEY_2           10
#define KEY_3           11
#define KEY_4           12
#define KEY_5           13
#define KEY_6           14
#define KEY_7           15
#define KEY_8           16
#define KEY_9           17
#define KEY_10          18
#define KEY_MINUS       19
#define KEY_PLUS        20
 
#define KEY_Q           24
#define KEY_W           25
#define KEY_E           26
#define KEY_R           27
#define KEY_T           28
#define KEY_Y           29
#define KEY_U           30
#define KEY_I           31
#define KEY_O           32
#define KEY_P           33
#define KEY_LSQR        34
#define KEY_RSQR        35
 
#define KEY_A           38
#define KEY_S           39
#define KEY_D           40
#define KEY_F           41
#define KEY_G           42
#define KEY_H           43
#define KEY_J           44
#define KEY_K           45
#define KEY_L           46
#define KEY_SEMI        47
#define KEY_QUOTE       48
#define KEY_HASH        36
 
#define KEY_RETURN      50
 
#define KEY_BSLASH      52 // ?????(unlikely)
#define KEY_Z           53
#define KEY_X           54
#define KEY_C           55
#define KEY_V           56
#define KEY_B           57
#define KEY_N           58
#define KEY_M           59
#define KEY_COMMA       60
#define KEY_DOT         61
#define KEY_SLASH       62 // ????????????????
 
#define KEY_LEFT        86
#define KEY_RIGHT       96
#define KEY_UP          90
#define KEY_DOWN        91
 
#define KEY_INSERT      82 // ??????????????????
#define KEY_DELETE      83
#define KEY_HOME        87
#define KEY_END         88
#define KEY_PGUP        92 // ??????????????????
#define KEY_PGDN        93

#define KEY_NUM_ZERO	106
#define KEY_NUM_DOT		111
#define KEY_NUM_MINUS   112
#define KEY_NUM_PLUS    113
#define KEY_ENTER   115

#define KEY_ESC 		117
 
#define KEY_MSWIN_LEFT  70
#define KEY_MSWIN_RIGHT 72


#define KEY_F1  119
#define KEY_F2  120
#define KEY_F3	121
#define KEY_F4	122
#define KEY_F5	123
#define KEY_F6	124
#define KEY_F7	125
#define KEY_F8	126


 
#define KEY_FAL1    128
#define KEY_FAL2    129
#define KEY_FAL3    130
#define KEY_FAL4    131
 
#define KEY_FAL5    132
#define KEY_FAL6    133
#define KEY_FAL7    134
 


#endif

