#ifndef PCX_H
#define PCX_H

#include <stdio.h>
#include "generic.h"
#include <X11/Xlib.h>

#define LP_LOAD_PALETTE  1
#define LP_SET_PALETTE   2

struct Picture_Type
{
	int Width,Height;
	uchar *Data;
	uchar *Palette;
	int shift;
};

struct Picture_Type *Load_PCX(char*,int);
void FreePic(struct Picture_Type*);
void SetPalette(uchar *);
XImage *WLoad_PCX(char *,int,Display *,int);
void WFreePic(XImage *);
XImage *LoadStatsPicture(Display *,int);

 /*
  * struct Picture_Type *SetupPT (int Buffsize, int Flags);
  * void Load_PCX_data(FILE *,uchar *,int,int);
  *
  */

#endif
