#include "ai.h"
#include <stdlib.h>
#include <stdio.h>


int
PickMove(Dungeon *dungeon)
{
	if(!(rand()&0xF)) {
		return(rand()%5);
	}
	return(0);
}

/***************************************************************
 *
 * DoThought()								DoThought()
 *
 * Currently this just makes a random movement, but it WILL
 * do the following.
 *  - Activate the Neural Net, to select good courses of
 *		action.
 *  - Call MakeMove() to cause them.
 *
 */
 
#define TWEAK_FACTOR	2000
#define SKILL_LEVEL		5

int 
GetAvoidMove(int dists[],int Num)
{
	int i;
	int bigest=0;				// >0
	int ind=-1;					// -1 is no move!!
	for(i=0;i<Num;i++) {
		if(dists[i]>bigest) {	// bigest (must be +)
			bigest=dists[i];
			ind=i;
		}
	}
	return(ind);
}

void
MovePos(Dungeon *dung)
{
	// We're point 17.
	int Dist;
	Dist=dung->Points[2][17]+dung->Points[2][11];
	Dist+=(rand()&63)-32; // Fuzzy factor
	if(Dist<-270) {
		dung->Points[2][17]+=5;
	} else if(Dist>-200) {
		dung->Points[2][17]-=5;
	}
	


}

void 
DoThought2(Dungeon *dung,int Player2,int Dists[100])
{
	int Dont=0;
	int closest;
	static int twomoves=0;
	int layer1[10],dist,Move,x;
	int output[6];
	int layer2;
    int MoveSet=0;
    if(Player2) {
        MoveSet=1;
    }



	layer1[0]=Dists[0]>>2;
	layer1[1]+=Dists[1]>>2;
	layer1[2]+=Dists[2]>>2;
	layer1[3]+=Dists[3]>>2;
	layer1[4]=Dists[4];
	layer1[5]=Dists[5];
	layer1[6]=Dists[6];
	layer1[7]=Dists[7];
	layer1[8]=Dists[8];
	layer1[9]=Dists[9];
	layer2=layer1[0]+layer1[1]+layer1[2]+layer1[3];

	output[0]=layer1[2]+layer1[3]+(layer2>>1);
	output[1]=layer1[0]+(layer2>>1);
	output[2]=layer1[1]+(layer2>>1);
	output[3]=(layer1[4]+layer1[5])>>1;
	output[4]=(layer1[6]+layer1[7])>>1;
	output[5]=(layer1[8]+layer1[9])>>1;

/*
	fprintf(stdout," %4d %4d  %4d  %4d  %4d  %4d :: ",output[0],
					output[1], output[2], output[3], output[4],output[5]);
 
*/

	Move=-1;
	dist=-1;
	closest=GetAvoidMove(output,6);
	//fprintf(stdout,"Avoid: %d\n",closest);
	if(closest!=-1) {
		// No need to block, perhaps we'll hit...
		// Hiting is easier, one move is as good as the next, so we'll make it
		//  mostly random.

		MovePos(dung);
		
		if(!Dont) {
			if(twomoves==(SKILL_LEVEL*2)) {
				if((rand()&7)<SKILL_LEVEL) {
					int tmp=(rand()&7)+6;
					//fprintf(stdout,"tmp=%d\n",tmp);
					MakeMove((dung->Moves[MoveSet])[tmp],Player2,dung->ObjectArray);
					twomoves=0;
				}
			} else {
				twomoves++;
			}
		}
	} else {
		// Should depend on closest.
        MakeMove((dung->Moves[MoveSet])[0], Player2,dung->ObjectArray);
		MovePos(dung);
	}

}

