#ifndef CED_H
#define CED_H


#include "ced.h"
#include "mymem.h"
#include "window.h"
#include "poly.h"
#include "ed2.h"
#include "polyinit.h"
 
void DrawAllViews(Dungeon *dung,XImage *VScreen,struct ControlInfo *Controls,int dots[],int basepix);
void AddPolygon(Dungeon *dung,int points[]);
Segment *AddObject(Segment *Prev,Dungeon *dung,int *NumO);
void AddPoint(Dungeon *dung,Segment *addto);
void ZeroObjectAngles(Dungeon *dung);
void ZeroAngles(Dungeon *dung);
void Copy2D2Points(int px,int py,int pz,Dungeon *dung,Segment *obj);
void DoAngles(Dungeon *dung);
void HitCollPoint(int arr[MAX_COLLISION_PTS],int *num,int pt);
void DoMinusPressed(Dungeon *dung,struct ControlInfo *Controls);
void DoPlusPressed(Dungeon *dung,struct ControlInfo *Controls);
void SetViewMode(struct ControlInfo *Controls,int showmode);
void DoSave(Dungeon *dung,Display *display,Window win,GC gc,
        struct ControlInfo *Controls, int PaletteO);
void CyclePickMode(struct ControlInfo *Controls);
void AddObjectWrap(Dungeon *dung,struct ControlInfo *Controls);
void DeletePolygon(Dungeon *dung,struct ControlInfo *Controls);
void AddPolyPoint(Dungeon *dung,struct ControlInfo *Controls);
void DeletePolyPoint(struct ControlInfo *Controls);
void PreviousTexture(Dungeon *dung,struct ControlInfo *Controls);
void NextTexture(Dungeon *dung,struct ControlInfo *Controls);
void PreviousColourGroup(Dungeon *dung,struct ControlInfo *Controls);
void NextColourGroup(Dungeon *dung,struct ControlInfo *Controls);
void PreviousColour(Dungeon *dung,struct ControlInfo *Controls);
void NextColour(Dungeon *dung,struct ControlInfo *Controls);
void AdvanceStyle(Dungeon *dung, struct ControlInfo *Controls);
void SetStyle(Dungeon *dung, struct ControlInfo *Controls,int num);
int NearestPt(int x,int y,short xarr[],short yarr[],int Length);
int SelectPoint(Dungeon *,int,int,struct ControlInfo *,Display *,struct Button []);
void RotateTexture(Dungeon *,int);

#endif
