#ifndef ED2_H
#define ED2_H

#include "poly.h"
#include "gui.h"
#include <X11/Xlib.h>

 
#define PLAN_WIN 1
#define ELEV_WIN 2
#define SIDE_WIN 3
#define THREE_WIN 0

#define ERROR_VOLUME 100

void DrawPt(XImage *VScreen,int x,int z,int Mode);
void SaveData(Dungeon *,char *);
void DrawMan2(struct ControlInfo*,Dungeon *,XImage *,int);
int DoKeysCED(Dungeon *,Display *,Window,GC,uchar , struct ControlInfo *,
			  Segment *,int, struct Button [],XImage *);
int DoKeysMED(Dungeon *,Display *,Window,GC,uchar,struct ControlInfo *,
			  Segment *, int,struct Button [],XImage *);
void AffectButton(Display *display,struct Button *button);
void AffectButtons(Display *display,struct Button Buttons[],char key,
              struct ControlInfo *Controls);
int ProcessControlEvent(Display *display,GC gc,XEvent *report,
                    struct Button ControlButtons[]);
void DrawViewWireFrame(Dungeon *, Polygon *,uchar *,int,int,short *, short *);
int ButtonReact(Display *display,GC gc,XEvent *report,struct Button *button);
void getGC(Display *,Window,GC *,XFontStruct *,int);
void load_font(Display *,XFontStruct **);
void linedraw(int,int,int,int,int,uchar*);
void AddButton(Display *display,struct Button *ThisButton,int x,int y,
               int w,int h, char *imagename,int udPos,int PaletteOffset,
               Window ParentWin,GC gc,int Flags);




#endif
