#ifndef MED_H
#define MED_H

#include "poly.h"
#include "ddm.h"
#include "gui.h"

#define X_ANG 1		
#define Y_ANG 2
#define Z_ANG 3


void DoMovesSave(Display *display,Window win,GC gc,int BasePix,Dungeon *dung);
void DoMotionTimed(Segment *,int,struct ControlInfo *);
void AlterAngle(Dungeon *,int,int,int,int,int);
void AlterSpeed(Dungeon *,int,int,int,int,int);
void DeleteBigmove(Display *,Dungeon *,int,int);
void TestMoveButtons(Display *,Window,GC,Dungeon *,XImage *,int,XEvent *,struct ControlInfo *);
void DrawMotionPanel(Display *,Window,GC,XImage *,Dungeon *,struct ControlInfo *,int,int);
struct Bigmove * FFindMove(Dungeon *, int , int );
int GetThing(char , char , char );
void AlterWaiter(Dungeon *,int ,int ,int ,int );
void DeleteMoveBit(Display *,Dungeon *,int ,int ,int );
int MoveFrames(struct movement *,char *,char *, char *);
int LittleLength(struct movement *, char ,char , char );
int GetLength(struct Bigmove *);
void DrawMove(XImage *,int *,int ,struct movement *,char *,char *,char *, int ,int,int);
void DrawMotionBar(XImage *,int ,int , Dungeon *, int , int ,int ,int ); 
void DrawMotionPanel(Display *,Window,GC,XImage *,Dungeon *,struct ControlInfo *,int ,int);
void SetupMoves(Dungeon *dung);
int SegsDifferent(Segment *s1,Segment *s2);
struct Bigmove *FindBigMovePtr(Dungeon *dung,int Id,int MoveNum);
struct movement *FindMovePtr(struct Bigmove *bmove);
void CreateMovie(Segment *s1,Segment *s2,struct movement *move);
void InitMove(Dungeon *dung);
void AddPhase(Dungeon *dung,int MoveNum);
void NextMove(Dungeon *d,struct ControlInfo *Cont);
void PrevMove(Dungeon *d,struct ControlInfo *Cont);
void CreateMoveButtons(Display *display,Window Parent,GC gc,
				struct ControlInfo *Controls, int BasePix);



#endif
