#ifndef OUTTEXT_H
#define OUTTEXT_H

#include "pcx.h"

#define MAX_CHARS 50

typedef struct {
	struct Picture_Type *Data;
	int Left[MAX_CHARS];
	int Width[MAX_CHARS];
	int NumChars;
	int Height;
	uchar Col1,Col2;
} AFont;

AFont * LoadFont(char *fname,int);
void FreeFont(AFont *font);
void DrawText(XImage *page,AFont *font,char *text,int CursX,int CursY);

#endif
