#include "winlose.h"
#include "keys.h"
#include <X11/Xlib.h>
#include <stdio.h>
#include <unistd.h>
#include "pcx.h"

static void
ShowWinLose(Display *d,Window w,GC gc,char *name,int BasePix)
{
	XImage *pic;
	XEvent report;
	int done=0;
	pic=WLoad_PCX(name,0,d,BasePix);
	if(pic) {
		XPutImage(d,w,gc,pic,0,0,0,0,1024,768);
		WFreePic(pic);
		while(!done) {
			XNextEvent(d,&report);
			if(report.type==KeyPress) {
				if(report.xkey.keycode==KEY_RETURN)	{
					done=1;
				}
			}
		}
	} else {
		fprintf(stdout,"Couldn't load\n");
	}
}

void 
ShowWinnerScreen(Display *d,Window w,GC gc,int Type,int BasePix)
{
	char picname[50];
	sprintf(picname,"textures/winner%d.pcx",Type);
	ShowWinLose(d,w,gc,picname,BasePix);
}


void
ShowLoserScreen(Display *d,Window w,GC gc,int Type,int BasePix)
{
	char picname[50];
	sprintf(picname,"textures/loser%d.pcx",Type);
	ShowWinLose(d,w,gc,picname,BasePix);
}


